<?php
/** @var \Xcoding\Sales\Block\Order\Email\Items $block */
$order = $block->getOrder();
?>

<table class="items">
    <thead>
        <tr>
            <td style="padding-left: 30px;"><?= __('Product') ?></td>
            <td><?= __('Qty') ?></td>
            <td style="padding-right: 30px;"><?= __('Price') ?></td>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($order->getAllItems() as $item) : ?>
            <?php /** @var \Magento\Sales\Model\Order\Item $item */ ?>
            <?php if ($item->getParentItem()) continue; ?>
            <tr>
                <td class="text-left" style="padding-left: 30px;">
                    <p>
                        <b><?= $item->getName(); ?></b><br>
                        <?= $item->getSku(); ?>
                    </p>
                    <?php foreach ($block->getItemOptions($item) as $option) : ?>
                        <p><b><?= $option['label'] ?>:</b> <?= $option['value'] ?></p>
                    <?php endforeach; ?>
                </td>
                <td>
                    <?= $item->getQtyOrdered(); ?>
                </td>
                <td class="text-right" style="padding-right: 30px;">
                    <?= $order->formatPrice($item->getRowTotalInclTax()) ?>
                </td>
            </tr>
        <?php endforeach; ?>
    </tbody>
    <tfoot>
        <tr>
            <td></td>
            <td class="text-left"><?= __('Subtotal') ?></td>
            <td class="text-right"><?= $order->formatPrice($order->getSubtotalInclTax()) ?></td>
        </tr>
        <?php if ($order->getDiscountAmount()) : ?>
            <tr style="color: red;">
                <td></td>
                <td class="text-left"><?= __('Coupon') ?> <strong><?= $order->getCouponCode() ?></strong></td>
                <td class="text-right"><?= $order->formatPrice($order->getDiscountAmount()) ?></td>
            </tr>
        <?php endif; ?>
        <tr>
            <td></td>
            <td class="text-left"><?= __('Shipping') ?></td>
            <td class="text-right"><?= $order->formatPrice($order->getShippingInclTax()) ?></td>
        </tr>
        <tr class="total-row">
            <td></td>
            <td class="text-left"><?= __('Total') ?></td>
            <td class="text-right"><?= $order->formatPrice($order->getGrandTotal()) ?></td>
        </tr>
    </tfoot>
</table>
